Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin
Class Admin

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          com.dbxml.db.admin.Admin

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public final class Admin
extends javax.swing.JFrame

Admin

See Also:
  Serialized Form

Field Summary
`DBBrowser` | `browser`
`static ElementResourceMap` | `DefaultResMap`
`GridEditor` | `gridEditor`
`static ElementResourceMap` | `SystemResMap`
`TextEditor` | `textEditor`
`XSLTViewer` | `xsltViewer`

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Admin()`

Method Summary
`void` | `addClientConfig(dbXMLClient client, java.lang.String label)`
`void` | `addFileSystem(java.lang.String path, java.lang.String label)`
`void` | `addMessage(java.lang.String message)`
`void` | `btnQuery_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `cmbQueryType_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editBeautify_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editCopy_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editCut_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editDocument(DocWrapper doc)`
`void` | `editDocument(DocWrapper doc, boolean newDocument)`
`void` | `editPaste_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editSearch_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editSearchNext_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `editUndo_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `fileConnect_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `fileExit_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `fileNew_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `fileOpen_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `filePreferences_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `fileSave_actionPerformed(java.awt.event.ActionEvent e)`
`AdminConfig` | `getAdminConfig()`
`static Admin` | `getInstance()`
`void` | `helpAbout_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `helpContents_actionPerformed(java.awt.event.ActionEvent e)`
`static void` | `main(java.lang.String[] args)`
`void` | `paneEdit_stateChanged(javax.swing.event.ChangeEvent e)`
`void` | `refreshMenuBar()`
`void` | `setEnableQueries(boolean queries)`
`void` | `setStatus(java.lang.String status)`
`void` | `updateExplorer()`
`void` | `updateMessages()`
`void` | `updateQuery()`
`void` | `updateStatusbar()`
`void` | `updateToolbar()`
`void` | `viewExplorer_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `viewMessages_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `viewQuery_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `viewStatusBar_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `viewToolbar_actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class javax.swing.JFrame
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### DefaultResMap

    public static final ElementResourceMap DefaultResMap

### SystemResMap

    public static final ElementResourceMap SystemResMap

### browser

    public DBBrowser browser

### textEditor

    public TextEditor textEditor

### gridEditor

    public GridEditor gridEditor

### xsltViewer

    public XSLTViewer xsltViewer

Constructor Detail

### Admin

    public Admin()

Method Detail

### main

    public static void main(java.lang.String[] args)

### getInstance

    public static Admin getInstance()

### getAdminConfig

    public AdminConfig getAdminConfig()

### setEnableQueries

    public void setEnableQueries(boolean queries)

### fileExit_actionPerformed

    public void fileExit_actionPerformed(java.awt.event.ActionEvent e)

### helpAbout_actionPerformed

    public void helpAbout_actionPerformed(java.awt.event.ActionEvent e)

### fileNew_actionPerformed

    public void fileNew_actionPerformed(java.awt.event.ActionEvent e)

### fileOpen_actionPerformed

    public void fileOpen_actionPerformed(java.awt.event.ActionEvent e)

### editDocument

    public void editDocument(DocWrapper doc)

### editDocument

    public void editDocument(DocWrapper doc,
                             boolean newDocument)

### fileSave_actionPerformed

    public void fileSave_actionPerformed(java.awt.event.ActionEvent e)

### fileConnect_actionPerformed

    public void fileConnect_actionPerformed(java.awt.event.ActionEvent e)

### editCut_actionPerformed

    public void editCut_actionPerformed(java.awt.event.ActionEvent e)

### editCopy_actionPerformed

    public void editCopy_actionPerformed(java.awt.event.ActionEvent e)

### editPaste_actionPerformed

    public void editPaste_actionPerformed(java.awt.event.ActionEvent e)

### editUndo_actionPerformed

    public void editUndo_actionPerformed(java.awt.event.ActionEvent e)

### editSearch_actionPerformed

    public void editSearch_actionPerformed(java.awt.event.ActionEvent e)

### editSearchNext_actionPerformed

    public void editSearchNext_actionPerformed(java.awt.event.ActionEvent e)

### editBeautify_actionPerformed

    public void editBeautify_actionPerformed(java.awt.event.ActionEvent e)

### filePreferences_actionPerformed

    public void filePreferences_actionPerformed(java.awt.event.ActionEvent e)

### helpContents_actionPerformed

    public void helpContents_actionPerformed(java.awt.event.ActionEvent e)

### viewToolbar_actionPerformed

    public void viewToolbar_actionPerformed(java.awt.event.ActionEvent e)

### viewExplorer_actionPerformed

    public void viewExplorer_actionPerformed(java.awt.event.ActionEvent e)

### viewQuery_actionPerformed

    public void viewQuery_actionPerformed(java.awt.event.ActionEvent e)

### viewMessages_actionPerformed

    public void viewMessages_actionPerformed(java.awt.event.ActionEvent e)

### viewStatusBar_actionPerformed

    public void viewStatusBar_actionPerformed(java.awt.event.ActionEvent e)

### updateToolbar

    public void updateToolbar()

### updateExplorer

    public void updateExplorer()

### updateQuery

    public void updateQuery()

### updateMessages

    public void updateMessages()

### updateStatusbar

    public void updateStatusbar()

### cmbQueryType_actionPerformed

    public void cmbQueryType_actionPerformed(java.awt.event.ActionEvent e)

### btnQuery_actionPerformed

    public void btnQuery_actionPerformed(java.awt.event.ActionEvent e)

### paneEdit_stateChanged

    public void paneEdit_stateChanged(javax.swing.event.ChangeEvent e)

### refreshMenuBar

    public void refreshMenuBar()

### setStatus

    public void setStatus(java.lang.String status)

### addClientConfig

    public void addClientConfig(dbXMLClient client,
                                java.lang.String label)

### addFileSystem

    public void addFileSystem(java.lang.String path,
                              java.lang.String label)

### addMessage

    public void addMessage(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group